## pymecavideo 5.3

=== src/Makefile ===
DESTDIR = 
HELPFILES = $(shell ls help | grep -E 'xhtml$$|css$$|png$$')
LRELEASE = lrelease-qt4

all:	Ui_pymecavideo.py Ui_preferences.py Ui_pymecavideo_mini.py helpfiles languages Ui_mpl.py

languages:
	$(LRELEASE) ../data/lang/*.ts 2>/dev/null || lrelease ../data/lang/*.ts

helpfiles:
	@$(MAKE) -C ../data/help

Ui_%.py: %.ui
	pyuic4 $< > $@

pymecavideo.1: manpage.xml
	xsltproc --nonet /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl manpage.xml

clean:
	rm -rf build
	rm -f video_*.jpg *~ Ui_* *.pyc *.txt *.1 ../data/lang/*.qm *.log
	make -C help clean

install-for-debian: all install-bin install-man install-help install-media fix-install

install-bin:
	install -m 755 pymecavideo $(DESTDIR)/usr/bin

install-man:
	mkdir -p $(DESTDIR)/usr/share/man/man1
	gzip -c9 pymecavideo.1 > $(DESTDIR)/usr/share/man/man1/pymecavideo.1.gz

install-help:
	mkdir -p $(DESTDIR)/usr/share/doc/python-mecavideo/html
	for f in $(HELPFILES); do \
	  cp help/$$f $(DESTDIR)/usr/share/doc/python-mecavideo/html; \
	done

install-media:
	install -m 0644 ../data/icones/pymecavideo.xpm icones/pymecavideo-64x64.xpm \
	  $(DESTDIR)/usr/share/pixmaps
	install -m 0644 ../data/pymecavideo.desktop $(DESTDIR)/usr/share/applications
	install -m 0644 ../data/icones/pymecavideo.svg icones/pymecavideo.png \
	  $(DESTDIR)/usr/share/icons
	for d in icones video; do \
	  cp -a $$d $(DESTDIR)/usr/share/python-mecavideo ; \
	done

fix-install:
	find $(DESTDIR)/usr/share/python-mecavideo -name COPYING -exec rm {} \;
	find $(DESTDIR)/usr/share/python-mecavideo -type f -exec chmod 644 {} \;

install-ordinaire: all
	python setup.py install
	install -m 755 pymecavideo $(DESTDIR)/usr/bin
	mkdir -p $(DESTDIR)/usr/share/man/man1
	gzip -c9 pymecavideo.1 > $(DESTDIR)/usr/share/man/man1/pymecavideo.1.gz
	install -m 0644 ../data/icones/pymecavideo.xpm icones/pymecavideo-64x64.xpm \
	  $(DESTDIR)/usr/share/pixmaps
	install -m 0644 ../data/pymecavideo.desktop $(DESTDIR)/usr/share/applications
	install -m 0644 ../data/icones/pymecavideo.svg icones/pymecavideo.png \
	  $(DESTDIR)/usr/share/icons

.PHONY: clean all install-for-debian install-bin install-man install-help install-media fix-install install-ordinaire helpfiles

=== data/help/Makefile ===
SOURCES=$(shell ls *.xml)
SOURCES_W32 = win.svg tux.svg # image sources (width 32 px)
GENERATED_W32 = $(patsubst %.svg, %.png, $(SOURCES_W32)) # generated images
TARGETS=$(SOURCES:.xml=.xhtml) $(GENERATED_W32)

all: $(TARGETS)

win.png: win.svg
	inkscape --export-png=$@ --export-width=32 $<
tux.png: tux.svg
	inkscape --export-png=$@ --export-width=32 $<


%.xhtml : %.xml
	@echo "$<   => $@"
	@xsltproc --nonet /usr/share/xml/docbook/stylesheet/nwalsh/xhtml/docbook.xsl $< > $@
	@sed 's%</head>%<link rel="stylesheet" type="text/css" href="help.css" /></head>%' $@ > $@.tmp && mv $@.tmp $@

clean:
	rm -f *~ *.xhtml
	rm -f $(GENERATED_W32)

=== debian/changelog ===
pymecavideo (5.3-7) unstable; urgency=low

  * modified the way pymecavideo creates directories under $(HOME)/.local
    now it creates them with the shell command "mkdir -p".

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 19 Dec 2010 17:45:08 +0100

pymecavideo (5.3-6) unstable; urgency=low

  * added a dependency on python-matplotlib. Closes: #606874

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 12 Dec 2010 20:17:57 +0100

pymecavideo (5.3-5) unstable; urgency=low

  * modified the importation of the module Error to disable its use 
    with GNU/Linux. Closes: #606380

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 12 Dec 2010 12:59:44 +0100

pymecavideo (5.3-4) unstable; urgency=low

  * changed the start time of the QApplication object to allow early 
    debugging.

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 18 Nov 2010 21:25:20 +0100

pymecavideo (5.3-3) unstable; urgency=low

  * taken in acount the possible use of rsvn which is way faster than
    inkscape to convert svg files.

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 13 Nov 2010 22:03:41 +0100

pymecavideo (5.3-2) unstable; urgency=low

  * added a shared-mimeinfo file
  * modified pymecavideo.desktop to take the new mime type in account

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 13 Nov 2010 18:33:32 +0100

pymecavideo (5.3-1) unstable; urgency=low

  * upgraded to the new upstream version

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 13 Nov 2010 11:56:45 +0100

pymecavideo (5.2-7) unstable; urgency=low

  * sanitized quilt patches (removing patches added by debuild)
  * enforced again a dependency on python-opencv >= 2.1
  * removed the buggy lines in detect.py (the module opencv in Ubuntu's
    package python-opencv 2.0 never provided the function cv.loadFile)
  * fixed some license issues, thanks to Luca Falavigna's reminders:
    - inserted the full text of CC-BY-SA 3.0, formated it in a 78-colum
      text and added a few linebreaks;
    - replaced stale references to GPL V2 in some files to the newer
      licence GPL V3.
    Closes: #593130

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 26 Sep 2010 19:21:16 +0200

pymecavideo (5.2-6) unstable; urgency=low

  * added a test to create ~/.local/share/data when it does not exist
    previously

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 26 Sep 2010 18:58:51 +0200

pymecavideo (5.2-5) unstable; urgency=low

  * fixed typos in help-fr.xml
  * included modifications coming from the uspstream branch 5.2 (release 227)

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 12 Sep 2010 15:36:53 +0200

pymecavideo (5.2-4) unstable; urgency=low

  * downgraded the dependency on python-opencv to allow the installtion on 
    current Ubuntu distributions.

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 12 Sep 2010 12:40:43 +0200

pymecavideo (5.2-3) unstable; urgency=low

  * Modified table.py to insert tabs in every line exported to the
    paste buffer.

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 12 Sep 2010 12:11:02 +0200

pymecavideo (5.2-2) unstable; urgency=low

  * added a dependency on python-opencv
  * modified detect.py to adapt to the distribution's pecularity; this should
    make the package usable with Ubuntu and Debian

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 11 Sep 2010 22:27:58 +0200

pymecavideo (5.2-1) unstable; urgency=low

  * upgraded to the newer upstream version
  * modified the patch for src/pymecavideo.py accordingly
  * rewritten debian/rules to use dh_stuff
  * added build-dependencies on python-all, libqt4-dev

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 11 Sep 2010 14:31:01 +0200

pymecavideo (5.0-5) unstable; urgency=low

  * First publication in Debian. Closes: #593130
  * upgraded Standards-Version to 3.9.1 and compat to 7

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 15 Aug 2010 19:09:12 +0200

pymecavideo (5.0-4) unstable; urgency=low

  * added a Recommends: line, to enforce the installation of a suitable
    video viewer, so you can enjoy the generated video file.
  * added some <refmiscinfo> lines to the manpage source, to comply with
    the specification of docbook's manual pages. Changed the copyright
    datespan.
  * written a French manpage and refreshed the default English manpage.

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 13 May 2010 16:24:22 +0200

pymecavideo (5.0-3) unstable; urgency=low

  * upgraded to the official version 5.0, from branches/5.0

 -- Georges Khaznadar <georgesk@ofset.org>  Mon, 03 May 2010 17:34:30 +0200

pymecavideo (5.0-2) unstable; urgency=low

  * fixed pymecavideo.desktop

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 15 Apr 2010 10:47:28 +0200

pymecavideo (5.0-1) unstable; urgency=low

  * upgraded to the last upstream version

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 14 Apr 2010 23:14:21 +0200

pymecavideo (4.1-1) unstable; urgency=low

  * upgraded to the last upstream version
  * installed the quilt patch system

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 21 Jan 2010 08:03:08 +0100

pymecavideo (4.0-5) unstable; urgency=low

  * replaced the invokation of evince by xdg-open, and adjusted the 
    dependencies accordingly
  * modified the calling scheme for the ps-viewer, since xdg-open
    returns before the ps-viewer quits.
  * added new rules for the autozoom behavior

 -- Georges Khaznadar <georgesk@ofset.org>  Mon, 18 Jan 2010 16:24:35 +0100

pymecavideo (4.0-4) unstable; urgency=low

  * made a few improvements for the restoration from a file ... 
    still unsufficient.
  * implemented plotting for the variations of x, y and velocity

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 16 Jan 2010 14:24:23 +0100

pymecavideo (4.0-3) unstable; urgency=low

  * fixed the error in the saved config file when a bad file has been 
    submitted.
  * added the analysis of non integer framerates.

 -- Georges Khaznadar <georgesk@ofset.org>  Tue, 12 Jan 2010 17:53:21 +0100

pymecavideo (4.0-2) unstable; urgency=low



=== debian/control ===
Source: pymecavideo
Section: python
Priority: extra
Maintainer: Georges Khaznadar <georgesk@ofset.org>
Build-Depends: debhelper (>= 7.0.50~), python-all, python-qt4-dev, libqt4-dev,
 pyqt4-dev-tools, python-central(>= 0.5.6), xsltproc, docbook-xsl,
 rsvg|inkscape, wget, quilt
XS-Python-Version: all
Standards-Version: 3.9.1

Package: python-mecavideo
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, ffmpeg, iceweasel|www-browser, 
 python-qt4, xdg-utils, evince|postscript-viewer, python-opencv(>=2.1),
 python-matplotlib, shared-mime-info
XB-Python-Version: ${python:Versions}
Recommends: xine|mplayer|vlc
Suggests: transcode
Description: a pedagogic tool to analyze video records for mechanics
 You can track the movement of one or many points in video frames and export
 the position measurements to standard analysis tools.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGE = python-mecavideo

%:
	dh $@ 

override_dh_clean:
	# code grabbed from Makefile, target clean.
	rm -rf build
	rm -f video_*.jpg *~ src/Ui_* src/*.pyc *.txt *.1 data/lang/*.qm
	make -C data/help clean
	#
	dh_clean

override_dh_auto_build:
	python setup.py build

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(PACKAGE) install-for-debian
	python setup.py install --root $(CURDIR)/debian/$(PACKAGE)
	# remove redundant icons and video files
	find $(CURDIR)/debian/$(PACKAGE)/usr/lib -name icones -type d | xargs rm -rf
	find $(CURDIR)/debian/$(PACKAGE)/usr/lib -name video -type d | xargs rm -rf

override_dh_compress:
	dh_compress -X.xhtml

## pymecavideo 5.5

=== src/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 HELPFILES = $(shell ls help | grep -E 'xhtml$$|css$$|png$$')
 LRELEASE = lrelease-qt4
 
-all:	Ui_pymecavideo.py Ui_preferences.py Ui_pymecavideo_mini.py helpfiles languages Ui_mpl.py
+all:	Ui_pymecavideo.py Ui_preferences.py Ui_pymecavideo_mini.py helpfiles languages
 
 languages:
 	$(LRELEASE) ../data/lang/*.ts 2>/dev/null || lrelease ../data/lang/*.ts
@@ -19,7 +19,6 @@
 clean:
 	rm -rf build
 	rm -f video_*.jpg *~ Ui_* *.pyc *.txt *.1 ../data/lang/*.qm *.log
-	make -C help clean
 
 install-for-debian: all install-bin install-man install-help install-media fix-install
 
@@ -61,4 +60,4 @@
 	install -m 0644 ../data/icones/pymecavideo.svg icones/pymecavideo.png \
 	  $(DESTDIR)/usr/share/icons
 
-.PHONY: clean all install-for-debian install-bin install-man install-help install-media fix-install install-ordinaire helpfiles
+.PHONY: clean all install-for-debian install-mime install-bin install-man install-help install-media fix-install install-ordinaire helpfiles

=== data/help/Makefile ===
SOURCES=$(shell ls *.xml)
SOURCES_W32 = win.svg tux.svg # image sources (width 32 px)
GENERATED_W32 = $(patsubst %.svg, %-w32.png, $(SOURCES_W32)) # generated images
TARGETS=$(SOURCES:.xml=.xhtml)

all: $(TARGETS) images

images: $(GENERATED_W32)

%-w32.png: %.svg
	if [ -x /usr/bin/rsvg ]; then \
	  rsvg -w 32 $< $@; \
	else \
	  inkscape --export-png=$@ --export-width=32 $<; \
	fi


%.xhtml : %.xml
	@echo "$<   => $@"
	@xsltproc --nonet /usr/share/xml/docbook/stylesheet/nwalsh/xhtml/docbook.xsl $< > $@
	@sed 's%</head>%<link rel="stylesheet" type="text/css" href="help.css" /></head>%' $@ > $@.tmp && mv $@.tmp $@

clean:
	rm -f *~ *.xhtml
	rm -f $(GENERATED_W32)

=== debian/changelog ===
pymecavideo (5.5-5) unstable; urgency=low

  * added --with-python2 in debian/rules. Closes: #640580

 -- Georges Khaznadar <georgesk@ofset.org>  Tue, 06 Sep 2011 18:43:34 +0200

pymecavideo (5.5-4) unstable; urgency=low

  * upgraded Standards-Version to 3.9.2
  * removed an article in the synopsis
  * enforced the creation of the directory for personal data. Closes: #630140

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 11 Jun 2011 16:24:13 +0200

pymecavideo (5.5-3) unstable; urgency=low

  * changed the build-dependency rsvg -> librsvg2-bin. Closes: #629732

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 08 Jun 2011 19:08:22 +0200

pymecavideo (5.5-2) unstable; urgency=low

  * switched to dh_python2. Closes: #616972

 -- Georges Khaznadar <georgesk@ofset.org>  Mon, 07 Mar 2011 18:54:15 +0100

pymecavideo (5.5-1) unstable; urgency=low

  * modified the user interface (added a window icon, changed the place of
    two subwidgets).
  * changed the icon for the desktop file.

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 06 Mar 2011 04:04:20 +0100

pymecavideo (5.4-3) unstable; urgency=low

  * modifed the example video of the solar system

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 17 Feb 2011 19:18:05 +0100

pymecavideo (5.4-2) unstable; urgency=low

  * reinforced the test to know whether openCV has guessed the movie's
    features.
  * fixed a bug in cadreur.py which caused cropping errors
  * modified the lineEdit to display the scale : it allows now very 
    small scales (useful for the following example)
  * added an example video: a simulation of the solar system over one year,
    and a pymecavideo file to open it directly.

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 16 Feb 2011 16:02:13 +0100

pymecavideo (5.4-1) unstable; urgency=low

  * fixed the messages displaied during clics on the video images
  * fixed the recovery from a previously saved file
  * fixed the undo/redo feature near the first record 
  * improved the user interface
  * added a feature to recode badly managed video files

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 05 Feb 2011 17:43:08 +0100

pymecavideo (5.3-9) unstable; urgency=low

  * removed the dependency on the package ffmpeg coming from 
    debian-multimedia.org, Closes: #610708
  * removed any invokation of ffmpeg, by using openCV commands

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 02 Feb 2011 21:43:50 +0100

pymecavideo (5.3-8) unstable; urgency=low

  * added TAB chars for the copies into the clipboard
  * added a dependency on a non-buggy version of ffmpeg
  * modified detect.py to avoid the creation od spurious image files

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 14 Jan 2011 17:52:49 +0100

=== debian/control ===
Source: pymecavideo
Section: python
Priority: extra
Maintainer: Georges Khaznadar <georgesk@ofset.org>
Build-Depends: debhelper (>= 7.0.50~), python-all (>=2.6.6-3 ),
 python-qt4-dev, libqt4-dev, pyqt4-dev-tools, xsltproc, docbook-xsl,
 librsvg2-bin|inkscape, wget, quilt
X-Python-Version: >= 2.5
Standards-Version: 3.9.2

Package: python-mecavideo
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, iceweasel|www-browser, 
 python-qt4, xdg-utils, evince|postscript-viewer, python-opencv(>=2.1),
 python-matplotlib, shared-mime-info
Recommends: mencoder, mplayer|vlc|xine
Suggests: transcode
Description: pedagogic tool to analyze video records for mechanics
 You can track the movement of one or many points in video frames and export
 the position measurements to standard analysis tools.

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 PACKAGE = python-mecavideo
 
 %:
-	dh $@ 
+	dh $@ --with python2
 
 override_dh_clean:
 	# code grabbed from Makefile, target clean.

## pymecavideo 6.0

=== debian/changelog ===
pymecavideo (6.0-5) unstable; urgency=low

  * updated to the latest version in branches/6.0 from the SVN

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 29 Jun 2012 22:12:07 +0200

pymecavideo (6.0-4) unstable; urgency=low

  * used a better approach to communicate with libreoffice
  * added the possibility to give a video filename as an argument on the
    command line
  * updated the manpages
  * 

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 24 Jun 2012 14:27:08 +0200

pymecavideo (6.0-3) unstable; urgency=low

  * upgraded to the latest SVN revision (in branch/6.0)
  * fixed an issue with {open|libre}office calc export.

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 23 Jun 2012 08:07:21 +0200

pymecavideo (6.0-2) unstable; urgency=low

  * taken in account the new command rsvg-convert. Closes: #666481

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 13 May 2012 21:41:07 +0000

pymecavideo (6.0-1) unstable; urgency=low

  * upgraded to the newest upstream version
  * upgraded Standards-Version to 3.9.3

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 12 May 2012 10:41:55 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  python-qt4-dev, libqt4-dev, pyqt4-dev-tools, xsltproc, docbook-xsl,
  librsvg2-bin|inkscape, wget, quilt
 X-Python-Version: >= 2.5
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 
 Package: python-mecavideo
 Architecture: all

## pymecavideo 6.1

=== src/Makefile ===
--- 
+++ 
@@ -2,10 +2,10 @@
 HELPFILES = $(shell ls help | grep -E 'xhtml$$|css$$|png$$')
 LRELEASE = lrelease-qt4
 
-all:	Ui_pymecavideo.py Ui_preferences.py Ui_pymecavideo_mini.py helpfiles languages
+all:	Ui_pymecavideo.py Ui_pymecavideo_mini.py helpfiles languages
 
 languages:
-	$(LRELEASE) ../data/lang/*.ts 2>/dev/null || lrelease ../data/lang/*.ts
+	lrelease ../data/lang/*.ts
 
 helpfiles:
 	@$(MAKE) -C ../data/help

=== debian/changelog ===
pymecavideo (6.1-1) unstable; urgency=low

  * changed my DEBEMAIL
  * upgraded to the newest upstream release
  * simplified the patches managed by quilt

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 07 Feb 2013 13:18:24 +0100

pymecavideo (6.0-6) unstable; urgency=low

  * fixed a bad invocation of Zoom_Croix(), thanks to 
    thomas.lavarenne@free.fr's bug report

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 12 Oct 2012 10:57:13 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: pymecavideo
 Section: python
 Priority: extra
-Maintainer: Georges Khaznadar <georgesk@ofset.org>
+Maintainer: Georges Khaznadar <georgesk@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), python-all (>=2.6.6-3 ),
  python-qt4-dev, libqt4-dev, pyqt4-dev-tools, xsltproc, docbook-xsl,
  librsvg2-bin|inkscape, wget, quilt

=== debian/watch ===
version=3

http://outilsphysiques.tuxfamily.org//upload/pymecavideo-(.*)\.tar\.bz2

## pymecavideo 6.3~alpha

=== src/Makefile ===
--- 
+++ 
@@ -5,6 +5,7 @@
 all:	Ui_pymecavideo.py Ui_pymecavideo_mini.py helpfiles languages
 
 languages:
+	pylupdate4 pymecavideo_project.pro
 	lrelease ../data/lang/*.ts
 
 helpfiles:

=== debian/changelog ===
pymecavideo (6.3~alpha-1) unstable; urgency=medium

  * upgraded to the new upstream version

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 16 May 2015 14:38:22 +0200

pymecavideo (6.2cRC2-1) unstable; urgency=medium

  * upgraded to the new upstream version

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 16 Apr 2015 16:04:15 +0200

pymecavideo (6.2cRC1-1) unstable; urgency=medium

  * upgraded to the new upstream version

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 08 Mar 2015 18:59:01 +0100

pymecavideo (6.2a-1) unstable; urgency=medium

  * upgraded to the new upstream version
  * added the dependency python-pyqtgraph

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 08 Mar 2015 11:51:44 +0100

pymecavideo (6.1a-1) unstable; urgency=medium

  * upgraded to the new upstream version
  * modified the way used to extract the version number, to avoid doubles
  * upgraded Standards-Version to 3.9.7
  * added a dependency on python-odf
  * fixed errors in oooexport.py

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 07 Mar 2015 17:49:29 +0100

## pymecavideo 6.3

=== Makefile ===
DESTDIR =
HELPFILES = $(shell ls data/help/help-*.xhtml data/help/*.png)
MAN_LANG = fr

all: manpage
	for d in src; do DESTDIR=$(DESTDIR) $(MAKE) -C $$d $@ ; done

manpage: pymecavideo.1
	for l in $(MAN_LANG); do $(MAKE) pymecavideo.$$l.1; done

%.1 : %.xml
	xsltproc --nonet /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl $<

pymecavideo.1: manpage.xml
	xsltproc --nonet /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl manpage.xml

clean:
	rm -rf build
	rm -f video_*.jpg *~ src/Ui_* src/*.pyc *.txt *.1 data/lang/*.qm
	make -C data/help clean

install-for-debian: all install-bin install-man install-help install-media fix-install
	cp src/testfilm.py $(DESTDIR)/usr/share/python-mecavideo

install-bin:
	install -m 755 pymecavideo $(DESTDIR)/usr/bin

install-man:
	mkdir -p $(DESTDIR)/usr/share/man/man1
	gzip -c9 pymecavideo.1 > $(DESTDIR)/usr/share/man/man1/pymecavideo.1.gz
	for l in $(MAN_LANG); do \
	  mkdir -p $(DESTDIR)/usr/share/man/$$l/man1; \
	  sed "s/pymecavideo.$$l/pymecavideo/" pymecavideo.$$l.1 | gzip -c9 > $(DESTDIR)/usr/share/man/$$l/man1/pymecavideo.1.gz; \
	done

install-help:
	mkdir -p $(DESTDIR)/usr/share/doc/python-mecavideo/html
	for f in $(HELPFILES); do \
	  cp $$f $(DESTDIR)/usr/share/doc/python-mecavideo/html; \
	done

install-media:
	install -m 0644 data/icones/pymecavideo.xpm data/icones/pymecavideo-48.png \
	  $(DESTDIR)/usr/share/pixmaps
	install -m 0644 pymecavideo.desktop $(DESTDIR)/usr/share/applications
	install -m 0644 data/icones/pymecavideo.svg data/icones/pymecavideo.png \
	  $(DESTDIR)/usr/share/icons
	for d in data/icones data/video data/lang; do \
	  cp -a $$d $(DESTDIR)/usr/share/python-mecavideo ; \
	done

fix-install:
	find $(DESTDIR)/usr/share/python-mecavideo -name COPYING -exec rm {} \;
	find $(DESTDIR)/usr/share/python-mecavideo -type f -exec chmod 644 {} \;

.PHONY: clean all install-for-debian install-bin install-man install-help install-media fix-install helpfiles

=== src/Makefile ===
--- 
+++ 
@@ -2,17 +2,22 @@
 HELPFILES = $(shell ls help | grep -E 'xhtml$$|css$$|png$$')
 LRELEASE = lrelease-qt4
 
-all:	Ui_pymecavideo.py Ui_pymecavideo_mini.py helpfiles languages
+all:	Ui_pymecavideo.py Ui_pymecavideo_mini.py Ui_pymecavideo_mini_layout.py helpfiles languages
 
+
+
+Ui_%.py: %.ui
+	pyuic4 $< > $@
+	
 languages:
 	pylupdate4 pymecavideo_project.pro
 	lrelease ../data/lang/*.ts
 
+
+	
 helpfiles:
 	@$(MAKE) -C ../data/help
 
-Ui_%.py: %.ui
-	pyuic4 $< > $@
 
 pymecavideo.1: manpage.xml
 	xsltproc --nonet /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl manpage.xml

=== debian/changelog ===
pymecavideo (6.3-1) unstable; urgency=medium

  * upgraded to the new upstream version

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 31 Oct 2015 21:31:25 +0100

pymecavideo (6.3~beta-1) unstable; urgency=medium

  * upgraded to the new upstream version

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 21 Sep 2015 17:26:23 +0200

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
  python-qt4-dev, libqt4-dev, pyqt4-dev-tools, xsltproc, docbook-xsl,
  librsvg2-bin|inkscape, wget, quilt
 X-Python-Version: >= 2.5
-Standards-Version: 3.9.3
+Standards-Version: 3.9.6
 
 Package: python-mecavideo
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}, iceweasel|www-browser, 
  python-qt4, xdg-utils, evince|postscript-viewer, python-opencv(>=2.1),
- python-matplotlib, shared-mime-info
+ python-matplotlib, python-odf, python-pyqtgraph, shared-mime-info
 Recommends: mencoder, mplayer|vlc|xine
 Suggests: transcode
 Description: pedagogic tool to analyze video records for mechanics

=== debian/rules ===
--- 
+++ 
@@ -15,11 +15,6 @@
 	dh $@ --with python2
 
 override_dh_clean:
-	# code grabbed from Makefile, target clean.
-	rm -rf build
-	rm -f video_*.jpg *~ src/Ui_* src/*.pyc *.txt *.1 data/lang/*.qm
-	make -C data/help clean
-	#
 	dh_clean
 
 override_dh_auto_build:
@@ -31,6 +26,8 @@
 	# remove redundant icons and video files
 	find $(CURDIR)/debian/$(PACKAGE)/usr/lib -name icones -type d | xargs rm -rf
 	find $(CURDIR)/debian/$(PACKAGE)/usr/lib -name video -type d | xargs rm -rf
+	# remove files make_exe.py from the distribution
+	find $(CURDIR)/debian/$(PACKAGE) -name make_exe.py | xargs rm -f
 
 override_dh_compress:
 	dh_compress -X.xhtml

=== debian/watch ===
version=3

opts=dversionmangle=s/pymecavideo-/archive.tar.gz?ref=v/ \
https://gitlab.com/oppl/pymecavideo/tags \
   /oppl/pymecavideo/repository/archive\.tar\.gz\?ref=[Vv](.*)

## pymecavideo 6.5

=== debian/changelog ===
pymecavideo (6.5-3) unstable; urgency=medium

  * changed the priority to optional. Closes: #900391
  * added a build-dependency on dh-python. Closes: #900392

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 03 Jun 2018 11:48:07 +0200

pymecavideo (6.5-2) unstable; urgency=medium

  * improved the installation of icons

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 21 May 2018 19:14:28 +0200

pymecavideo (6.5-1) unstable; urgency=medium

  * New upstream release: fixes bugs with automatic detection, data
    restoration, and simple data plotting.
  * updated Standards-Version: 4.1.4
  * updated debian/watch

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 21 May 2018 15:55:23 +0200

pymecavideo (6.4-1) unstable; urgency=medium

  * New upstream release
  *  upgraded Standards-Version: 4.1.3
  * changed build dependencies to cope with Qt5, and dependencies to use
    python-qt5 and python-opencv(>=3.1)
  * removed debian/menu as there is a desktop file.
  * renamed the package python-mecavideo to python3-mecavideo and added
    a Provides: python-mecavideo

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 21 Mar 2018 18:13:46 +0100

pymecavideo (6.3-2) UNPUBLISHED; urgency=medium

  * fixed the watch file
  * upgraded Standards-Version: 4.1.1, and dh level: 10

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 24 Nov 2017 20:21:17 +0100

=== debian/control ===
Source: pymecavideo
Section: python
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper (>= 10), python3-all, dh-python,
 pyqt5-dev-tools, qttools5-dev-tools, xsltproc, docbook-xsl,
 librsvg2-bin
X-Python3-Version: >= 3.5
Standards-Version: 4.1.4

Package: python3-mecavideo
Provides: python-mecavideo
Replaces: python-mecavideo (<<6.4)
Conflicts: python-mecavideo (<<6.4)
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends},
 iceweasel|firefox-esr|www-browser, 
 python3-pyqt5, xdg-utils, evince|postscript-viewer, python3-opencv(>=3.1),
 python3-matplotlib, python3-odf, python3-pyqtgraph, shared-mime-info
Recommends: mencoder, mplayer|vlc|xine
Suggests: transcode
Description: pedagogic tool to analyze video records for mechanics
 You can track the movement of one or many points in video frames and export
 the position measurements to standard analysis tools.

## pymecavideo 6.5.1

=== src/Makefile ===
--- 
+++ 
@@ -1,20 +1,21 @@
 DESTDIR = 
 HELPFILES = $(shell ls help | grep -E 'xhtml$$|css$$|png$$')
-LRELEASE = lrelease-qt4
+LRELEASE = lrelease
 
-all:	Ui_pymecavideo.py Ui_pymecavideo_mini.py Ui_pymecavideo_mini_layout.py helpfiles languages
+all:	Ui_pymecavideo_mini_layout.py helpfiles languages icon_rc.py
 
 
+icon_rc.py: icon.qrc
+	pyrcc5 $< -o $@
 
 Ui_%.py: %.ui
-	pyuic4 $< > $@
-	
+	pyuic5 $< > $@
+
 languages:
-	pylupdate4 pymecavideo_project.pro
-	lrelease ../data/lang/*.ts
+	pylupdate5 pymecavideo_project.pro
+	lrelease -qt5 ../data/lang/*.ts
 
 
-	
 helpfiles:
 	@$(MAKE) -C ../data/help

=== debian/changelog ===
pymecavideo (6.5.1-1) unstable; urgency=medium

  * added VCS stuff
  * new upstream, which fixes an error with export to clipboard, rename
    references to Oo.o as LibreOffice

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 15 Sep 2018 21:54:08 +0200

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,8 @@
  librsvg2-bin
 X-Python3-Version: >= 3.5
 Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/georgesk/pymecavideo
+Vcs-Git: https://salsa.debian.org/georgesk/pymecavideo.git
 
 Package: python3-mecavideo
 Provides: python-mecavideo

## pymecavideo 6.5.4

=== src/Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 	pyuic5 $< > $@
 
 languages:
-	pylupdate5 pymecavideo_project.pro
+	pylupdate5 -translate-function _translate pymecavideo_project.pro
 	lrelease -qt5 ../data/lang/*.ts
 
 
@@ -57,7 +57,7 @@
 	find $(DESTDIR)/usr/share/python-mecavideo -type f -exec chmod 644 {} \;
 
 install-ordinaire: all
-	python setup.py install
+	python3 setup.py install
 	install -m 755 pymecavideo $(DESTDIR)/usr/bin
 	mkdir -p $(DESTDIR)/usr/share/man/man1
 	gzip -c9 pymecavideo.1 > $(DESTDIR)/usr/share/man/man1/pymecavideo.1.gz

=== debian/changelog ===
pymecavideo (6.5.4-1) unstable; urgency=medium

  * new upstream version
  * changes to use Python3 only, so the debian patch is useless

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 01 Feb 2020 17:22:04 +0100

pymecavideo (6.5.3-1) UNRELEASED; urgency=medium

  * new upstream version
  * defined the translate function
  * added a new export mode, to Python files
  * added Recommends for Geany, Thonny, Gedit

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 01 Feb 2020 17:09:46 +0100

pymecavideo (6.5.2-1) unstable; urgency=medium

  * new upstream version

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 04 Jan 2020 15:02:19 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,12 @@
  iceweasel|firefox-esr|www-browser, 
  python3-pyqt5, xdg-utils, evince|postscript-viewer, python3-opencv(>=3.1),
  python3-matplotlib, python3-odf, python3-pyqtgraph, shared-mime-info
-Recommends: mencoder, mplayer|vlc|xine
+Recommends:
+ mencoder,
+ mplayer|vlc|xine,
+ geany,
+ thonny,
+ gedit
 Suggests: transcode
 Description: pedagogic tool to analyze video records for mechanics
  You can track the movement of one or many points in video frames and export

=== debian/rules ===
--- 
+++ 
@@ -9,20 +9,21 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-PACKAGE = python-mecavideo
+PACKAGE = python3-mecavideo
 
 %:
-	dh $@ --with python2
+	dh $@ --with python3
 
 override_dh_clean:
+	find . -type d -name __pycache__ | xargs rm -rf
 	dh_clean
 
 override_dh_auto_build:
-	python setup.py build
+	python3 setup.py build
 
 override_dh_auto_install:
 	$(MAKE) DESTDIR=$(CURDIR)/debian/$(PACKAGE) install-for-debian
-	python setup.py install --root $(CURDIR)/debian/$(PACKAGE)
+	python3 setup.py install --root $(CURDIR)/debian/$(PACKAGE)
 	# remove redundant icons and video files
 	find $(CURDIR)/debian/$(PACKAGE)/usr/lib -name icones -type d | xargs rm -rf
 	find $(CURDIR)/debian/$(PACKAGE)/usr/lib -name video -type d | xargs rm -rf

## pymecavideo 6.5.5

=== debian/changelog ===
pymecavideo (6.5.5-1) unstable; urgency=medium

  * new upstream
  * fixed the cropped movie viewer
  * upgraded to debhelper-compat (= 12), Standards-Version: 4.5.0

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 16 Aug 2020 17:14:02 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,16 @@
 Section: python
 Priority: optional
 Maintainer: Georges Khaznadar <georgesk@debian.org>
-Build-Depends: debhelper (>= 10), python3-all, dh-python,
- pyqt5-dev-tools, qttools5-dev-tools, xsltproc, docbook-xsl,
+Build-Depends: debhelper-compat (= 12),
+ python3-all,
+ dh-python,
+ pyqt5-dev-tools,
+ qttools5-dev-tools,
+ xsltproc,
+ docbook-xsl,
  librsvg2-bin
 X-Python3-Version: >= 3.5
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/georgesk/pymecavideo
 Vcs-Git: https://salsa.debian.org/georgesk/pymecavideo.git

## pymecavideo 7.0~alpha1a

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 DESTDIR =
 HELPFILES = $(shell ls data/help/help-*.xhtml data/help/*.png)
 MAN_LANG = fr
+PACKAGE = python3-mecavideo
 
 all: manpage
 	for d in src; do DESTDIR=$(DESTDIR) $(MAKE) -C $$d $@ ; done
@@ -20,7 +21,7 @@
 	make -C data/help clean
 
 install-for-debian: all install-bin install-man install-help install-media fix-install
-	cp src/testfilm.py $(DESTDIR)/usr/share/python-mecavideo
+	cp src/testfilm.py $(DESTDIR)/usr/share/$(PACKAGE)
 
 install-bin:
 	install -m 755 pymecavideo $(DESTDIR)/usr/bin
@@ -34,23 +35,25 @@
 	done
 
 install-help:
-	mkdir -p $(DESTDIR)/usr/share/doc/python-mecavideo/html
+	mkdir -p $(DESTDIR)/usr/share/doc/$(PACKAGE)/html
 	for f in $(HELPFILES); do \
-	  cp $$f $(DESTDIR)/usr/share/doc/python-mecavideo/html; \
+	  cp $$f $(DESTDIR)/usr/share/doc/$(PACKAGE)/html; \
 	done
 
 install-media:
 	install -m 0644 data/icones/pymecavideo.xpm data/icones/pymecavideo-48.png \
 	  $(DESTDIR)/usr/share/pixmaps
 	install -m 0644 pymecavideo.desktop $(DESTDIR)/usr/share/applications
-	install -m 0644 data/icones/pymecavideo.svg data/icones/pymecavideo.png \
-	  $(DESTDIR)/usr/share/icons
+	for i in pymecavideo curseur_cible; do \
+	  install -m 0644 data/icones/$$i.svg data/icones/$$i.png \
+	  $(DESTDIR)/usr/share/icons; \
+	done
 	for d in data/icones data/video data/lang; do \
-	  cp -a $$d $(DESTDIR)/usr/share/python-mecavideo ; \
+	  cp -a $$d $(DESTDIR)/usr/share/$(PACKAGE) ; \
 	done
 
 fix-install:
-	find $(DESTDIR)/usr/share/python-mecavideo -name COPYING -exec rm {} \;
-	find $(DESTDIR)/usr/share/python-mecavideo -type f -exec chmod 644 {} \;
+	find $(DESTDIR)/usr/share/$(PACKAGE) -name COPYING -exec rm {} \;
+	find $(DESTDIR)/usr/share/$(PACKAGE) -type f -exec chmod 644 {} \;
 
 .PHONY: clean all install-for-debian install-bin install-man install-help install-media fix-install helpfiles

=== debian/changelog ===
pymecavideo (7.0~alpha1a-1) unstable; urgency=medium

  * new upstream version

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 05 Jan 2021 16:36:48 +0100

pymecavideo (7.0~alpha1-1) unstable; urgency=medium

  * upgraded to the latest upstream version
  * upgraded: debhelper-compat (= 13)

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 30 Dec 2020 16:50:55 +0100

pymecavideo (6.5.6-1) unstable; urgency=medium

  * improved the precision of time data when saving them; fix a bug
    documented by florent jouines <jouines_florent@yahoo.fr> (Thanks!)

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 21 Nov 2020 12:31:27 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Georges Khaznadar <georgesk@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
  python3-all,
  dh-python,
  pyqt5-dev-tools,
@@ -10,7 +10,7 @@
  xsltproc,
  docbook-xsl,
  librsvg2-bin
-X-Python3-Version: >= 3.5
+X-Python3-Version: >= 3.8
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/georgesk/pymecavideo
 Vcs-Git: https://salsa.debian.org/georgesk/pymecavideo.git

=== debian/watch ===
version=3

opts=uversionmangle=s/(beta|RC)/~$1/ \
https://gitlab.com/oppl/pymecavideo/tags \
   /oppl/pymecavideo/-/archive/[Vv](.*)/pymecavideo-.*\.tar\.gz

## pymecavideo 7.2.1

=== Makefile ===
--- 
+++ 
@@ -20,8 +20,8 @@
 	rm -f video_*.jpg *~ src/Ui_* src/*.pyc *.txt *.1 data/lang/*.qm
 	make -C data/help clean
 
-install-for-debian: all install-bin install-man install-help install-media fix-install
-	cp src/testfilm.py $(DESTDIR)/usr/share/$(PACKAGE)
+#install-for-debian: all install-bin install-man install-help install-media fix-install
+#	cp src/testfilm.py $(DESTDIR)/usr/share/$(PACKAGE)
 
 install-bin:
 	install -m 755 pymecavideo $(DESTDIR)/usr/bin

=== data/help/Makefile ===
--- 
+++ 
@@ -8,8 +8,8 @@
 images: $(GENERATED_W32)
 
 %-w32.png: %.svg
-	if [ -x /usr/bin/rsvg ]; then \
-	  rsvg -w 32 $< $@; \
+	if [ -x /usr/bin/rsvg-convert ]; then \
+	  rsvg-convert -w 32 $< -o $@; \
 	else \
 	  inkscape --export-png=$@ --export-width=32 $<; \
 	fi

=== debian/changelog ===
pymecavideo (7.2.1-2) unstable; urgency=medium

  * dependences iceweasel | firefox-esr, evince | postscript-viewer,
    python3-matplotlib are removed
  * recommendations mplayer | vlc | xine, geany, thonny, gedit are removed
  * added recommendations: python3-pandas, python3-nbformat
  * the suggestion transcode is removed

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 11 Jun 2021 14:33:55 +0200

pymecavideo (7.2.1-1) unstable; urgency=medium

  * new upstream version

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 07 Jun 2021 18:21:13 +0200

=== debian/control ===
--- 
+++ 
@@ -21,16 +21,12 @@
 Conflicts: python-mecavideo (<<6.4)
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends},
- iceweasel|firefox-esr|www-browser, 
- python3-pyqt5, xdg-utils, evince|postscript-viewer, python3-opencv(>=3.1),
- python3-matplotlib, python3-odf, python3-pyqtgraph, shared-mime-info
+ python3-pyqt5, xdg-utils, python3-opencv(>=3.1),
+ python3-odf, python3-pyqtgraph, shared-mime-info
 Recommends:
  mencoder,
- mplayer|vlc|xine,
- geany,
- thonny,
- gedit
-Suggests: transcode
+ python3-pandas,
+ python3-nbformat
 Description: pedagogic tool to analyze video records for mechanics
  You can track the movement of one or many points in video frames and export
  the position measurements to standard analysis tools.

=== debian/rules ===
--- 
+++ 
@@ -15,10 +15,13 @@
 	dh $@ --with python3
 
 override_dh_clean:
+	rm -f setup.py
 	find . -type d -name __pycache__ | xargs rm -rf
 	dh_clean
 
 override_dh_auto_build:
+	cp src/setup.py .
+	echo "bug: setup.py should not be in src/!"
 	python3 setup.py build
 
 override_dh_auto_install:

## pymecavideo 7.2.3~beta

=== debian/changelog ===
pymecavideo (7.2.3~beta-1) unstable; urgency=medium

  * fixed the watch file
  * updated the debian patch
  * added build dependencies: docbook-xml, docbook-utils
  * New upstream version 7.2.3~beta

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 13 Nov 2022 12:34:36 +0100

pymecavideo (7.2.1-3) unstable; urgency=medium

  * rebuilt with python3.10; Closes: #1010747

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 18 May 2022 09:34:33 +0200

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,8 @@
  qttools5-dev-tools,
  xsltproc,
  docbook-xsl,
+ docbook-xml,
+ docbook-utils,
  librsvg2-bin
 X-Python3-Version: >= 3.8
 Standards-Version: 4.5.0

=== debian/rules ===
--- 
+++ 
@@ -15,14 +15,8 @@
 	dh $@ --with python3
 
 override_dh_clean:
-	rm -f setup.py
 	find . -type d -name __pycache__ | xargs rm -rf
 	dh_clean
-
-override_dh_auto_build:
-	cp src/setup.py .
-	echo "bug: setup.py should not be in src/!"
-	python3 setup.py build
 
 override_dh_auto_install:
 	$(MAKE) DESTDIR=$(CURDIR)/debian/$(PACKAGE) install-for-debian

## pymecavideo 8.0~rc5

=== src/interfaces/Makefile ===
GUIS = $(shell ls *.ui)
COMPILED_GUIS = $(patsubst %.ui, Ui_%.py, $(GUIS))
RCC = /usr/lib/qt6/libexec/rcc

RC = $(shell ls *.qrc)
COMPILED_RC = $(patsubst %.qrc, %_rc.py, $(RC))

all: $(COMPILED_GUIS) $(COMPILED_RC)

%_rc.py: %.qrc
	$(RCC) -g python -o $@ $<
	sed -i 's/PySide./PyQt6/' $@

Ui_%.py: %.ui
	pyuic6 $< > $@

=== debian/changelog ===
pymecavideo (8.0~rc5-1) unstable; urgency=medium

  * modified d/watch to filter more precisely version tags
  * fix a regression for package oggvideotools' autopkgtest
  * New upstream version 8.0~rc5, which fixes a few bugs about
    saving the configuration

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 21 Feb 2023 16:16:12 +0100

pymecavideo (8.0~rc4-1) unstable; urgency=medium

  * New upstream version 8.0~rc4

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 20 Feb 2023 14:34:53 +0100

pymecavideo (8.0~rc3-1) UNRELEASED; urgency=medium

  * New upstream version 8.0~rc3
  * added build-dependencies on qt6-l10n-tools, qt6-base-dev-tools

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 19 Feb 2023 23:27:39 +0100

pymecavideo (8.0~rc1-1) UNRELEASED; urgency=medium

  * New upstream version 8.0~rc1
  * switched to qt6
  * fixed an issue with pylupdate5/pyludate6
  * improved the target override_dh_clean
  * added a build-dependency on pandoc
  * switched dependencies on qt6
  * removed obsolete conflicts clauses
  * fixed the watch file for rc releases

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 14 Feb 2023 16:01:06 +0100

pymecavideo (7.3.2-1) unstable; urgency=medium

  * New upstream version 7.3.2
  * disabled the tests in debian/rules and removed the build-dependencies
    which are no longer used
  bumped Standards-Version to 4.6.1

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 05 Jan 2023 22:51:34 +0100

pymecavideo (7.3.1-1) UNRELEASED; urgency=medium

  * New upstream version 7.3.1
  * better support for the tests

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 05 Jan 2023 22:18:57 +0100

pymecavideo (7.3.0-1) UNRELEASED; urgency=medium

  * new upstream
  * new build-dependencies:  python3-numpy, python3-opencv, python3-pandas,
    python3-pyqt5, python3-pyqtgraph in order to satisfy override_dh_auto_test


 -- Georges Khaznadar <georgesk@debian.org>  Fri, 30 Dec 2022 17:43:42 +0100

=== debian/control ===
--- 
+++ 
@@ -5,25 +5,20 @@
 Build-Depends: debhelper-compat (= 13),
  python3-all,
  dh-python,
- pyqt5-dev-tools,
- qttools5-dev-tools,
- xsltproc,
- docbook-xsl,
- docbook-xml,
- docbook-utils,
- librsvg2-bin
+ qt6-base-dev-tools,
+ pyqt6-dev-tools,
+ qt6-l10n-tools,
+ librsvg2-bin,
 X-Python3-Version: >= 3.8
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/georgesk/pymecavideo
 Vcs-Git: https://salsa.debian.org/georgesk/pymecavideo.git
 
 Package: python3-mecavideo
 Provides: python-mecavideo
-Replaces: python-mecavideo (<<6.4)
-Conflicts: python-mecavideo (<<6.4)
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends},
- python3-pyqt5, xdg-utils, python3-opencv(>=3.1),
+ python3-pyqt6, xdg-utils, python3-opencv(>=3.1),
  python3-odf, python3-pyqtgraph, shared-mime-info
 Recommends:
  mencoder,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGE = python3-mecavideo
export PYBUILD_NAME=mecavideo

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_clean:
	find . -type d -name __pycache__ | xargs rm -rf
	rm -rf pymecavideo.egg-info/
	rm -f data/lang/*.qm
	rm -f data/help/*w32.png
	rm -f src/interfaces/Ui_*.py src/interfaces/*_rc.py
	dh_clean

override_dh_auto_build:
	$(MAKE) all
	dh_auto_build

override_dh_auto_install:
	dh_auto_install
	# fix executable flags
	find $(CURDIR)/debian/$(PACKAGE)/usr/share/pymecavideo/data/video -type f -exec chmod 644 {} \;
	# fix a bug in oggvideotools' autopkgtest system
	mkdir $(CURDIR)/debian/$(PACKAGE)/usr/share/python3-mecavideo
	ln -sf ../pymecavideo/data/video \
	  $(CURDIR)/debian/$(PACKAGE)/usr/share/python3-mecavideo

XVFB_OPTIONS =  -a -s '-screen 0 1280x1024x24 +extension GLX -dpi 96'
#override_dh_auto_test:
#	cd test && xvfb-run $(XVFB_OPTIONS) python3 pymecavideoTest.py

override_dh_compress:
	dh_compress -X.html

override_dh_auto_test:
	echo "not running tests"

## pymecavideo 8.0~rc10

=== debian/changelog ===
pymecavideo (8.0~rc10-2) unstable; urgency=medium

  * upload to unstable

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 11 Jun 2023 13:02:12 +0200

pymecavideo (8.0~rc10-1) experimental; urgency=medium

  * Adopted changes poposed by Janitor:
    + Trim trailing whitespace.
    + Set upstream metadata fields: Bug-Database, Bug-Submit, Name,
      Repository-Browse.
    + Update standards version to 4.6.2, no changes needed.
  * change suggested by Janitor
  * New upstream version 8.0~rc8
  * added build-dependencies on xvfb, xauth, python-setuptools,
    python3-pyqt6, xdg-utils, python3-opencv, python3-odf,
    python3-pyqtgraph, python3-magic, libxcb-image0, libxcb-keysyms1,
    libxcb-render-util0, libxcb-xkb1, libxkbcommon-x11-0

  * improved the presentation and gave a preferrence to paths beginning
    with ../data
  * some tweaks to accommodate running in a chroot, with cowbuilder
  * fixed the chroot detection
  * new method to check the chroot
  * fixed a mistake
  * fixed the path to the video file
  * simplified the test target!
  * New upstream version 8.0~rc9
  * removed debian patches
  * New upstream version 8.0~rc10
  * disabled _dh_auto_test

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 30 Apr 2023 12:07:35 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,27 @@
 Maintainer: Georges Khaznadar <georgesk@debian.org>
 Build-Depends: debhelper-compat (= 13),
  python3-all,
+ python3-setuptools,
  dh-python,
  qt6-base-dev-tools,
  pyqt6-dev-tools,
  qt6-l10n-tools,
  librsvg2-bin,
+ xvfb,
+ xauth,
+ libxcb-image0,
+ libxcb-keysyms1,
+ libxcb-render-util0,
+ libxcb-xkb1,
+ libxkbcommon-x11-0,
+ python3-pyqt6,
+ xdg-utils,
+ python3-opencv,
+ python3-odf,
+ python3-pyqtgraph,
+ python3-magic,
 X-Python3-Version: >= 3.8
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/georgesk/pymecavideo
 Vcs-Git: https://salsa.debian.org/georgesk/pymecavideo.git
 
@@ -18,8 +32,13 @@
 Provides: python-mecavideo
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends},
- python3-pyqt6, xdg-utils, python3-opencv(>=3.1),
- python3-odf, python3-pyqtgraph, shared-mime-info
+ python3-pyqt6,
+ xdg-utils,
+ python3-opencv,
+ python3-odf,
+ python3-pyqtgraph,
+ python3-magic,
+ shared-mime-info
 Recommends:
  mencoder,
  python3-pandas,

=== debian/rules ===
--- 
+++ 
@@ -37,11 +37,12 @@
 	  $(CURDIR)/debian/$(PACKAGE)/usr/share/python3-mecavideo
 
 XVFB_OPTIONS =  -a -s '-screen 0 1280x1024x24 +extension GLX -dpi 96'
-#override_dh_auto_test:
-#	cd test && xvfb-run $(XVFB_OPTIONS) python3 pymecavideoTest.py
 
 override_dh_compress:
 	dh_compress -X.html
 
+XVFB_OPTIONS =  -a -s '-screen 0 1280x1024x24 +extension GLX -dpi 96'
 override_dh_auto_test:
-	echo "not running tests"
+	# cd src; xvfb-run $(XVFB_OPTIONS)  python3 -m unittest -v
+	echo "tests are non run"
+

=== debian/watch ===
version=3

opts=uversionmangle=s/_?(beta|RC|rc)/~$1/ \
https://gitlab.com/oppl/pymecavideo/-/tags \
   /oppl/pymecavideo/-/archive/[Vv]?(\d+\.\d+.*)/pymecavideo-.*\.tar\.gz
